docs

# CallbackDataInlineKeyboardButton

data class CallbackDataInlineKeyboardButton (val text: String , val callbackData: String ) : InlineKeyboardButton
Content copied to clipboard

Simple button with callbackData which you are able to catch this type of updates and data using dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onDataCallbackQuery in case you are using Behaviour Builder OR dev.inmo.tgbotapi.updateshandlers.FlowsUpdatesFilter.callbackQueriesFlow with kotlinx.coroutines.flow.filterIsInstance and filtering by type dev.inmo.tgbotapi.types.queries.callback.DataCallbackQuery

## Constructors

CallbackDataInlineKeyboardButton
Link copied to clipboard
fun CallbackDataInlineKeyboardButton (text: String , callbackData: String )
Content copied to clipboard

## Properties

callbackData
Link copied to clipboard
val callbackData : String
Content copied to clipboard

You will receive this data in dev.inmo.tgbotapi.types.queries.callback.DataCallbackQuery.data field

text
Link copied to clipboard
open override val text : String
Content copied to clipboard